#
# spec file for package agfa-fonts (Version 2003.03.19)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           agfa-fonts
License:        Commercial, Other License(s), see package
Group:          System/X11/Fonts
Provides:       scalable-font-el, scalable-font-ru, scalable-font-bg
Autoreqprov:    on
Summary:        Professional TrueType Fonts
Version:        2003.03.19
Release:        32.2
BuildArchitectures: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        Albany.tar.bz2
Source1:        Andale.tar.bz2
Source2:        Andy.tar.bz2
Source3:        Bell.tar.bz2
Source4:        Cumberland.tar.bz2
Source5:        MonotypeSorts.tar.bz2
Source6:        Thorndale.tar.bz2
Source7:        Utah.tar.bz2
Source8:        Misc.tar.bz2
Source9:        LICENSE.txt

%description
Professional TrueType Fonts * Albany

* Cumberland

* Thorndale



Authors:
--------
    Agfa Monotype Corporation

%debug_package
%prep
%setup -n Albany -D -T -b 0
%setup -n Andale -D -T -b 1
%setup -n Andy -D -T -b 2
%setup -n Bell -D -T -b 3
%setup -n Cumberland -D -T -b 4
%setup -n MonotypeSorts -D -T -b 5
%setup -n Thorndale -D -T -b 6
%setup -n Utah -D -T -b 7
%setup -n Misc -D -T -b 8

%build
cd ../Albany/
for i in *.TTF; do
 lower=`echo $i|tr [:upper:] [:lower:]`
 mv $i $lower
done
cd ../Cumberland/
for i in *.TTF; do
 lower=`echo $i|tr [:upper:] [:lower:]`
 mv $i $lower
done
cd ../Thorndale/
for i in *.TTF; do
 lower=`echo $i|tr [:upper:] [:lower:]`
 mv $i $lower
done
cd ../Utah/
for i in *.TTF; do
 lower=`echo $i|tr [:upper:] [:lower:]`
 mv $i $lower
done
cd ../Misc
for i in *.ttf; do
 lower=`echo $i|tr [:upper:] [:lower:]`
 mv $i $lower
done

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -m 644 ../Albany/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -m 644 ../Andale/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -m 644 ../Andy/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -m 644 ../Bell/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -m 644 ../Cumberland/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -m 644 ../MonotypeSorts/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -m 644 ../Thorndale/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -m 644 ../Utah/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -m 644 ../Misc/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
# Bugzilla #163988:
rm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/symbolmt.ttf

%post
%run_suseconfig_fonts

%postun
%run_suseconfig_fonts

%files
%defattr(-, root,root)
%dir /usr/X11R6/lib/X11/fonts/truetype
/usr/X11R6/lib/X11/fonts/truetype/*.ttf

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   rm -rf $RPM_BUILD_ROOT
fi

%changelog -n agfa-fonts
* Wed May 03 2006 - jw@suse.de
- added LICENSE.txt, converted from Denzil Harris' PDF document.
  (fixes bugzilla # 144635)
* Wed Apr 19 2006 - mfabian@suse.de
- Bugzilla #163988: Remove Symbol font because it has a broken
  "Macintosh Roman" cmap.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - aj@suse.de
- Add Symbol, Arial Black, Impact.
* Wed Oct 26 2005 - aj@suse.de
- Add Utah.
* Tue Sep 20 2005 - aj@suse.de
- Remove Segoe.
* Fri Dec 03 2004 - mfabian@suse.de
- use new macro "%%run_suseconfig_fonts"
* Tue Sep 14 2004 - mfabian@suse.de
- don't build as root.
- make package noarch.
- run SuSEconfig in %%post and %%postun if available.
- add "Provides: scalable-font-el, scalable-font-ru,
  scalable-font-bg" (Bugzilla #45156).
* Mon Aug 30 2004 - rml@suse.de
- add more fonts now licensed by Novell (Ximian bug #64460)
* Fri Jun 11 2004 - ro@suse.de
- added directory to filelist
* Fri Jun 04 2004 - mibarra@suse.de
- package revived
* Wed Mar 19 2003 - mc@suse.de
- initial release
